## godot 3.5.1-stable

=== debian/changelog ===
godot (3.5.1-stable-2) unstable; urgency=medium

  * Team upload.

  * Adjusted build rules to link with libatomic on armel and riscv64.
    (Closes: #1019868)
  * Disabled building denoise module on platforms where OIDN fail to build.
    (Closes: #1031132)
  * Updated build dependencies based on feedback from lintian.
  * Adjusted d/copyright to list CC0 license for appstream metadata XML file.
  * Adjusted install rules to install both appstream metadata and XSD
    MIME rules.
  * Updated Standards-Version from 4.6.0 to 4.6.2.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 14 Jun 2023 15:36:52 +0200

godot (3.5.1-stable-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release (Closes: #1019931)
  * Set supported architectures (Closes: #978567)
  * Update third-party libraries in d/copyright

  [ Dominik George ]
  * New upstream version
    + CVE-2021-26825/CVE-2021-26826 (Closes: #982593)
  * Bump Standards-Version (no changes needed)
  * Fixes to d/copyright
    + Fix invalid file patterns
    + Remove superfluous fiels (not in source tree anymore)

 -- Dominik George <natureshadow@debian.org>  Sat, 28 Jan 2023 23:38:55 +0100
