=== debian/control ===
Source: godot
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Federico Ceratto <federico@debian.org>,
 Dominik George <natureshadow@debian.org>
Build-Depends: debhelper-compat (= 13),
 ca-certificates,
 libasound2-dev,
 libenet-dev,
 libfreetype-dev,
 libgl-dev,
 libglu1-mesa-dev,
 libopus-dev,
 libopusfile-dev,
 libpcre2-dev,
 libpng-dev,
 libpulse-dev,
 libsquish-dev,
 libssl-dev,
 libtheora-dev,
 libudev-dev,
 libvorbis-dev,
 libvpx-dev,
 libwebp-dev,
 libx11-dev,
 libxcursor-dev,
 libxi-dev,
 libxinerama-dev,
 libxrandr-dev,
 pkg-config,
 scons,
 zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://godotengine.org
Vcs-Git: https://salsa.debian.org/debian/godot3.git
Vcs-Browser: https://salsa.debian.org/debian/godot3

Package: godot3
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Full 2D and 3D game engine with editor
 Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
 It provides a huge set of common tools, so you can just focus on making
 your game without reinventing the wheel.

Package: godot3-runner
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Godot game engine run-time
 Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
 This package allows games to be run from source or data-pack.

Package: godot3-server
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Headless Godot game engine run-time
 Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
 This package provides a command-line only version of the program.

#Package: godot3-dev
#Architecture: all
#Depends: ${misc:Depends}, godot3 (>= ${source:Version})
#Description: Godot game engine - Development headers
# Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
# This package contains development headers for modules.
