## godot 3.5.2-stable

=== debian/changelog ===
godot (3.5.2-stable-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:42 +1100

godot (3.5.2-stable-2build3) noble; urgency=medium

  * No-change rebuild against libvpx9

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 19 Mar 2024 10:44:04 +0100

godot (3.5.2-stable-2build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:46:36 +0000

godot (3.5.2-stable-2build1) noble; urgency=medium

  * Rebuild against new libvpx8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:12:36 +0100

godot (3.5.2-stable-2) unstable; urgency=medium

  * Team upload.

  * Adjusted d/rules scons call to try to get the build working on
    ppc64le.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Jun 2023 16:37:46 +0200

godot (3.5.2-stable-1) unstable; urgency=medium

  * Team upload.

  * Added d/gbp.conf to enforce use of pristine-tar.
  * New upstream version 3.5.2-stable.
  * Disable modules raycast and lightmapper_cpu on s390x (Closes: #1037985).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Jun 2023 18:51:07 +0200
