=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/godot-$1\.tar\.gz/ https://github.com/godotengine/godot/tags .*/v?(\d\S*)\.tar\.gz
