=== debian/changelog ===
godot (3.6+ds-2ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Crash due to double free of variable
    - debian/patches/CVE-2019-2126.patch: Avoid double free in 
      ContentEnconding
    - CVE-2019-2126

 -- John Breton <john.breton@canonical.com>  Tue, 17 Jun 2025 07:48:28 -0400

godot (3.6+ds-2) unstable; urgency=medium

  [ Travis Wrightsman ]
  * Allow autopkgtest to fail on some architectures
  * Remove after_script workarounds after upstream fix

 -- Otto Kekäläinen <otto@debian.org>  Mon, 30 Dec 2024 21:13:41 -0800

godot (3.6+ds-1) unstable; urgency=medium

  [ Travis Wrightsman ]
  * New upstream version 3.6+ds (Related: #1070845)
  * Add autopkgtests
  * Migrate metainfo and icon to modern freedesktop paths
  * Install godot3 man page
  * Unvendor as many dependencies as currently possible
  * Replace custom_build suffix with Debian version
  * Namespace everything to major version 3
  * Namespace StartupWMClass to major version too
  * Add myself to d/copyright
  * Update VCS URL salsa.debian.org/games-team/godot3

  [ Otto Kekäläinen ]
  * Enable Salsa CI to improve quality assurance prior to upload
  * Add myself to copyright and uploader while sponsoring Travis' work

 -- Otto Kekäläinen <otto@debian.org>  Mon, 16 Dec 2024 16:13:02 -0800
