=== debian/control ===
Source: godot
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
 Travis Wrightsman <travis@wrightsman.org>,
 Federico Ceratto <federico@debian.org>,
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 libasound2-dev,
 libbullet-dev,
 libenet-dev,
 libfreetype-dev,
 libgl-dev,
 libglu1-mesa-dev,
 libminiupnpc-dev,
 libopus-dev,
 libopusfile-dev,
 libpcre2-dev,
 libpng-dev,
 libpulse-dev,
 librecast-dev,
 libsquish-dev,
 libtheora-dev,
 libudev-dev,
 libvorbis-dev,
 libvpx-dev,
 libwebp-dev,
 libwslay-dev,
 libx11-dev,
 libxcursor-dev,
 libxi-dev,
 libxinerama-dev,
 libxrandr-dev,
 libzstd-dev,
 pkgconf,
 scons,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://godotengine.org
Vcs-Git: https://salsa.debian.org/games-team/godot3.git
Vcs-Browser: https://salsa.debian.org/games-team/godot3

Package: godot3
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Full 2D and 3D game engine with editor
 Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
 It provides a huge set of common tools, so you can just focus on making
 your game without reinventing the wheel.

Package: godot3-runner
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Godot game engine run-time
 Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
 This package allows games to be run from source or data-pack.

Package: godot3-server
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Headless Godot game engine run-time
 Godot is an advanced, feature packed, multi-platform 2D and 3D game engine.
 This package provides a command-line only version of the program.
