=== debian/changelog ===
godot (3.6+ds1-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Jan 2025 06:17:46 -0800
